Can't load gml layer
07/12/2017 12:14 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)
Severity: Critical Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2827 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: gml, wfs Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

It's not possible to add gml layers at the moment (build 2827), nor in the File tab, nor in the OGR one. It also affects WFS layers.

WARN 908719 Thread-24 org.gvsig.fmap.dal.serverexplorer.filesystem.swing.FilesystemExplorerWizardPanel$2 - Can't load
layer 'regioni.gml'.
java.lang.NullPointerException
    at org.gvsig.fmap.dal.impl.DefaultDataManager.openStore(DefaultDataManager.java:378)
    at
org.gvsig.fmap.dal.serverexplorer.filesystem.swing.FilesystemExplorerWizardPanel$2.run(FilesystemExplorerWizardPanel.java:252)
    at java.lang.Thread.run(Unknown Source)
INFO 913685 AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo - org.gvsig.app.mainplugin:org.gvsig.app.extension.logviewer.LogViewerExtension.execute('log-view')
INFO 913856 AWT-EventQueue-0 org.gvs
:252)
    at java.lang.Thread.run(Unknown Source)
INFO 913685 AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -
org.gvsig.app.mainplugin:org.gvsig.app.extension.logviewer.LogViewerExtension.execute('log-view')
INFO 913856 AWT-EventQueue-0 org.gvsig.i18n.Messages - [org.gvsig.i18n.Messages] Cannot find translation for key
'Visualizzatore log'.
INFO 999869 AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -
org.gvsig.app.mainplugin:org.gvsig.app.extension.AddLayer.execute('view-layer-add', Object[] args)
INFO 1035123 AWT-EventQueue-0 org.gvsig.app.gui.WizardPanel - addLayer('regioni',...)
WARN 1035168 Thread-25 org.gvsig.app.gui.WizardPanel$1 - Can't load layer 'regioni'.
java.lang.NullPointerException
    at org.gvsig.fmap.dal.impl.DefaultDataManager.openStore(DefaultDataManager.java:378)
    at org.gvsig.app.gui.WizardPanel$1.run(WizardPanel.java:217)
    at java.lang.Thread.run(Unknown Source)

Related to #3778, #4167, #4197, #4499

Associated revisions
Revision 746 - 08/04/2017 07:28 PM - Joaquín  del Cerro Murciano

refs #4533, corregido el proveedor de DAL de GML/KML para que los parametros extiendan de la clase que toca.

History
#1 - 07/13/2017 06:14 AM - Álvaro Anguix
- Priority changed from Normal to High

#2 - 08/04/2017 07:24 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)
- Assignee set to Joaquín  del Cerro Murciano

#3 - 08/04/2017 07:27 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#4 - 08/07/2017 09:56 PM - Antonio Falciano
- Status changed from Fixed to Closed
